gnutls_x509_crl_check_issuer(3)

NAME
gnutls_x509_crl_check_issuer - API function

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_crl_check_issuer(gnutls_x509_crl_t crl, gnutls_x509_crt_t issuer);

ARGUMENTS

gnutls_x509_crl_t crl
    is the CRL to be checked

gnutls_x509_crt_t issuer
    is the certificate of a possible issuer

DESCRIPTION
This function will check if the given CRL was issued by the given issuer certificate.

RETURNS
true (1) if the given CRL was issued by the given issuer, and false (0) if not.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/